﻿#language: ru

@quality_control

Функционал: 03_quality_control. Создание документа Переработка

Сценарий: 03_quality_control. Создание документа Переработка с датой расхода
	Дано Я переключаюсь на открытый клиент "qual_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'Дата смены' я ввожу текст '01.11.2019'
	И в поле 'от' я ввожу текст '01.11.2018 12:12:32'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'      |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я добавляю новую строку
	И в таблице "Выпуск" я активизирую поле "Номенклатура"
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Российский 50%' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я активизирую поле "Характеристика"
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я активизирую поле "Серия"
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' | 'Дата выпуска' |
		| '1'     | '11.11.2018'   |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле 'Количество 1' я ввожу текст '135,000'
	И в таблице "Выпуск" я завершаю редактирование строки
	И я перехожу к закладке "Распределение материалов"
	И в таблице "РаспределениеМатериалов" я нажимаю на кнопку 'Заполнить'
	Тогда открылось окно 'Форма настройка заполнения материалов'
	И из выпадающего списка с именем "ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'По норме на выпуск'
	И из выпадающего списка с именем "ВариантРаспределенияОсновныхМатериаловСерии" я выбираю точное значение 'По выпуску'
	И из выпадающего списка с именем "ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Форма настройка заполнения материалов'
	И я нажимаю на кнопку 'ОК'
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'N' | 'Распределить на выпуск'                | 'Характеристика'    |
		| '1' | 'Российский 50% / Варка / 11.11.2018/1' | '<не используются>' |
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловКоличество" имеет значение "10 000,000"
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловНоменклатура" имеет значение "Смесь 50%"
	И в таблице "РаспределениеМатериалов" я активизирую поле "Серия"
	И в таблице "РаспределениеМатериалов" я выбираю текущую строку
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' | 'Дата выпуска' |
		| '1'     | '01.11.2018'   |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" в поле 'Время расхода' я ввожу текст '01.01.2018 12:14:11'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен:
		| 'Движения документа Переработка 0000-000001 от 01.11.2018 12:12:32' | ''                    | ''                    | ''          | ''              | ''                         | ''               | ''                        | ''                        | ''                         | ''                         | ''                            | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| ''                                                                  | ''                    | ''                    | ''          | ''              | ''                         | ''               | ''                        | ''                        | ''                         | ''                         | ''                            | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Регистр накопления "Выпуск" (1)'                                   | ''                    | ''                    | ''          | ''              | ''                         | ''               | ''                        | ''                        | ''                         | ''                         | ''                            | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Стандартные реквизиты'                                             | ''                    | 'Измерения'           | ''          | ''              | ''                         | ''               | ''                        | ''                        | ''                         | ''                         | ''                            | 'Ресурсы'                | ''               | ''                    | 'Реквизиты'          | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Активность'                                                        | 'Период'              | 'Дата смены'          | 'Смена'     | 'Рабочий центр' | 'Номенклатура'             | 'Характеристика' | 'Серия'                   | 'Спецификация'            | 'Этап'                     | 'Производственное задание' | 'Код строки задания'          | 'Количество'             | 'Количество 1'   | 'Количество 2'        | 'Склад'              | 'Ячейка'     | 'Тара'         | ''             | ''          | ''       | ''     |
		| 'Да'                                                                | '01.11.2018 12:12:32' | '01.11.2018'          | 'Смена24'   | 'Сырцех'        | 'Российский 50%'           | 'Варка'          | '11.11.2018/1'            | 'Российский 50% Сыр'      | 'Варка'                    | ''                         | ''                            | '950,000'                | '135,000'        | ''                    | 'Сырцех'             | ''           | ''             | ''             | ''          | ''       | ''     |
		| ''                                                                  | ''                    | ''                    | ''          | ''              | ''                         | ''               | ''                        | ''                        | ''                         | ''                         | ''                            | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Регистр накопления "Расход материалов" (1)'                        | ''                    | ''                    | ''          | ''              | ''                         | ''               | ''                        | ''                        | ''                         | ''                         | ''                            | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Стандартные реквизиты'                                             | ''                    | 'Измерения'           | ''          | ''              | ''                         | ''               | ''                        | ''                        | ''                         | ''                         | ''                            | ''                       | ''               | ''                    | ''                   | 'Ресурсы'    | ''             | ''             | 'Реквизиты' | ''       | ''     |
		| 'Активность'                                                        | 'Период'              | 'Дата смены'          | 'Смена'     | 'Рабочий центр' | 'Производственное задание' | 'Номенклатура'   | 'Характеристика'          | 'Серия'                   | 'Номенклатура продукции'   | 'Характеристика продукции' | 'Серия продукции'             | 'Спецификация продукции' | 'Этап продукции' | 'Дата расхода'        | 'Код строки задания' | 'Количество' | 'Количество 1' | 'Количество 2' | 'Склад'     | 'Ячейка' | 'Тара' |
		| 'Да'                                                                | '01.11.2018 12:12:32' | '01.11.2018'          | 'Смена24'   | 'Сырцех'        | ''                         | 'Смесь 50%'      | ''                        | '1 до 01.11.2018 0:00:00' | 'Российский 50%'           | 'Варка'                    | '11.11.2018/1'                | 'Российский 50% Сыр'     | 'Варка'          | '01.01.2018 12:14:11' | ''                   | '10 000,000' | ''             | ''             | 'Сырцех'    | ''       | ''     |
		| ''                                                                  | ''                    | ''                    | ''          | ''              | ''                         | ''               | ''                        | ''                        | ''                         | ''                         | ''                            | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Регистр накопления "Расход основных материалов" (1)'               | ''                    | ''                    | ''          | ''              | ''                         | ''               | ''                        | ''                        | ''                         | ''                         | ''                            | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Стандартные реквизиты'                                             | ''                    | 'Измерения'           | ''          | ''              | ''                         | ''               | ''                        | ''                        | ''                         | ''                         | ''                            | ''                       | 'Ресурсы'        | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Активность'                                                        | 'Период'              | 'Дата смены'          | 'Смена'     | 'Рабочий центр' | 'Номенклатура'             | 'Характеристика' | 'Серия'                   | 'Номенклатура продукции'  | 'Характеристика продукции' | 'Серия продукции'          | 'Спецификация продукции'      | 'Этап продукции'         | 'Количество'     | 'Количество 1'        | 'Количество 2'       | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Да'                                                                | '01.11.2018 12:12:32' | '01.11.2018'          | 'Смена24'   | 'Сырцех'        | 'Смесь 50%'                | ''               | '1 до 01.11.2018 0:00:00' | 'Российский 50%'          | 'Варка'                    | '11.11.2018/1'             | 'Российский 50% Сыр'          | 'Варка'                  | '10 000,000'     | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| ''                                                                  | ''                    | ''                    | ''          | ''              | ''                         | ''               | ''                        | ''                        | ''                         | ''                         | ''                            | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Регистр накопления "Свободные остатки" (2)'                        | ''                    | ''                    | ''          | ''              | ''                         | ''               | ''                        | ''                        | ''                         | ''                         | ''                            | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Стандартные реквизиты'                                             | ''                    | ''                    | 'Измерения' | ''              | ''                         | ''               | ''                        | 'Ресурсы'                 | ''                         | ''                         | 'Реквизиты'                   | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Вид движения'                                                      | 'Активность'          | 'Период'              | 'Склад'     | 'Ячейка'        | 'Номенклатура'             | 'Характеристика' | 'Серия'                   | 'Количество'              | 'Количество 1'             | 'Количество 2'             | 'Настройка контроля остатков' | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Расход'                                                            | 'Да'                  | '01.11.2018 12:12:32' | 'Сырцех'    | ''              | 'Смесь 50%'                | ''               | '1 до 01.11.2018 0:00:00' | '10 000,000'              | ''                         | ''                         | 'Не контролировать'           | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Приход'                                                            | 'Да'                  | '01.11.2018 12:12:32' | 'Сырцех'    | ''              | 'Российский 50%'           | 'Варка'          | '11.11.2018/1'            | '950,000'                 | ''                         | ''                         | 'Не контролировать'           | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| ''                                                                  | ''                    | ''                    | ''          | ''              | ''                         | ''               | ''                        | ''                        | ''                         | ''                         | ''                            | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Регистр накопления "Товары без тары" (2)'                          | ''                    | ''                    | ''          | ''              | ''                         | ''               | ''                        | ''                        | ''                         | ''                         | ''                            | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Стандартные реквизиты'                                             | ''                    | ''                    | 'Измерения' | ''              | ''                         | ''               | ''                        | 'Ресурсы'                 | ''                         | ''                         | 'Реквизиты'                   | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Вид движения'                                                      | 'Активность'          | 'Период'              | 'Склад'     | 'Ячейка'        | 'Номенклатура'             | 'Характеристика' | 'Серия'                   | 'Количество'              | 'Количество 1'             | 'Количество 2'             | 'Настройка контроля остатков' | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Расход'                                                            | 'Да'                  | '01.11.2018 12:12:32' | 'Сырцех'    | ''              | 'Смесь 50%'                | ''               | '1 до 01.11.2018 0:00:00' | '10 000,000'              | ''                         | ''                         | 'Не контролировать'           | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Приход'                                                            | 'Да'                  | '01.11.2018 12:12:32' | 'Сырцех'    | ''              | 'Российский 50%'           | 'Варка'          | '11.11.2018/1'            | '950,000'                 | '135,000'                  | ''                         | 'Не контролировать'           | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| ''                                                                  | ''                    | ''                    | ''          | ''              | ''                         | ''               | ''                        | ''                        | ''                         | ''                         | ''                            | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Регистр накопления "Товары на складах" (2)'                        | ''                    | ''                    | ''          | ''              | ''                         | ''               | ''                        | ''                        | ''                         | ''                         | ''                            | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Стандартные реквизиты'                                             | ''                    | ''                    | 'Измерения' | ''              | ''                         | ''               | ''                        | 'Ресурсы'                 | ''                         | ''                         | 'Реквизиты'                   | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Вид движения'                                                      | 'Активность'          | 'Период'              | 'Склад'     | 'Ячейка'        | 'Номенклатура'             | 'Характеристика' | 'Серия'                   | 'Количество'              | 'Количество 1'             | 'Количество 2'             | 'Настройка контроля остатков' | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Расход'                                                            | 'Да'                  | '01.11.2018 12:12:32' | 'Сырцех'    | ''              | 'Смесь 50%'                | ''               | '1 до 01.11.2018 0:00:00' | '10 000,000'              | ''                         | ''                         | 'Не контролировать'           | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
		| 'Приход'                                                            | 'Да'                  | '01.11.2018 12:12:32' | 'Сырцех'    | ''              | 'Российский 50%'           | 'Варка'          | '11.11.2018/1'            | '950,000'                 | '135,000'                  | ''                         | 'Не контролировать'           | ''                       | ''               | ''                    | ''                   | ''           | ''             | ''             | ''          | ''       | ''     |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: 03_quality_control. Создание документа Переработка с попыткой списать на себя
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'Дата смены' я ввожу текст '15.02.2019'
	И в поле 'от' я ввожу текст '15.02.2019 15:12:32'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Маслоцех'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я нажимаю кнопку выбора у поля с именем "СкладВыпуск"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Склад с ячейками' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я активизирую поле с именем "ВыпускНоменклатура"
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Сырная крошка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я активизирую поле с именем "ВыпускСерия"
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		|'Номер'|
		|'1'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я активизирую поле с именем "ВыпускКоличество"
	И в таблице "Выпуск" в поле 'Количество' я ввожу текст '21,000'
	И в таблице "Выпуск" я активизирую поле с именем "ВыпускКоличество1"
	И в таблице "Выпуск" в поле 'Количество 1' я ввожу текст '2,000'
	И я перехожу к закладке "Распределение материалов"
	И в таблице "Выпуск" я завершаю редактирование строки
	И в таблице "РаспределениеМатериалов" я нажимаю на кнопку с именем 'РаспределениеМатериаловДобавить'
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Сырная крошка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" я завершаю редактирование строки
	И в таблице "РаспределениеМатериалов" я активизирую поле с именем "РаспределениеМатериаловХарактеристика"
	И в таблице "РаспределениеМатериалов" я активизирую поле с именем "РаспределениеМатериаловСерия"
	И в таблице "РаспределениеМатериалов" я выбираю текущую строку
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" я активизирую поле с именем "РаспределениеМатериаловКоличество"
	И в таблице "РаспределениеМатериалов" в поле 'Количество' я ввожу текст '2,000'
	И в таблице "РаспределениеМатериалов" я активизирую поле с именем "РаспределениеМатериаловКоличество1"
	И в таблице "РаспределениеМатериалов" в поле 'Количество 1' я ввожу текст '1,000'
	И в таблице "РаспределениеМатериалов" я активизирую поле с именем "РаспределениеМатериаловКоличество"
	И в таблице "РаспределениеМатериалов" я завершаю редактирование строки
	И я перехожу к закладке "Основное"
	И я нажимаю кнопку выбора у поля с именем "ЯчейкаВыпуск"
	Тогда открылось окно 'Складские ячейки'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно "1С:Предприятие"
	И я нажимаю на кнопку 'OK' 
	Тогда открылось окно 'Переработка (создание) *'	
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'N'  |
		| '1' |	
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Пакет ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" в поле 'Количество' я ввожу текст '2,000'
	И я перехожу к закладке "Основное"
	И я нажимаю кнопку выбора у поля с именем "ЯчейкаВыпуск"
	Тогда открылось окно 'Складские ячейки'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'